package cz.muni.fi.pa165.soccermanager.service;

import cz.muni.fi.pa165.soccermanager.dto.LeagueDto;

import java.util.Optional;

import cz.muni.fi.pa165.soccermanager.dto.request.CreateLeagueRequest;
import org.springframework.data.domain.Page;

public interface LeagueService {

    void update(Long id, LeagueDto leagueDTO);

    void remove(Long id);

    Optional<LeagueDto> findLeagueById(Long leagueId);

    Page<LeagueDto> getAllLeagues(int offset, int pageSize, String field);

    void resetLeague(Long leagueId);

    Long createLeague(CreateLeagueRequest request);

}
